# $Revision: 1.11 $, $Date: 2010/09/15 14:03:49 $
%define		plugin		odt
Summary:	DokuWiki odt (Open Document Text) Export Plugin
Summary(pl.UTF-8):	Wtyczka do eksportowania plików odt (Open Document Text)
Name:		dokuwiki-plugin-%{plugin}
Version:	20100812
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	http://aurelien.bompard.org/projects/files/dokuwiki-odt/dokuwiki-odt-20100812.zip
# Source0-md5:	28839a411068e2c923c74734e35481ff
Patch0:		dokuwiki-ziplib.patch
Patch1:		geshi.patch
URL:		http://wiki.splitbrain.org/plugin:odt
BuildRequires:	unzip
Requires:	dokuwiki >= 20070626
Requires:	php-common >= 4:5.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dokuconf	/etc/webapps/dokuwiki
%define		dokudir		/usr/share/dokuwiki
%define		plugindir	%{dokudir}/lib/plugins/%{plugin}
%define		find_lang 	%{_usrlibrpm}/dokuwiki-find-lang.sh %{buildroot}

%description
This plugin allows you to export a page to the OpenDocument format
used by Open Office and other word processors. This is especially
useful when you need to give a single page to a customer

Hint: Open Office can also export to PDF.

%description -l pl.UTF-8
Ta wtyczka pozwala na eksportowanie strony do formatu OpenDocument,
używanego przez Open Office i inne edytory tekstu. Przydatna jest w
sytuacji w której musisz dać pojedyńczą stronę klientowi.

Podpowiedź: Open Office pozwala także na eksportowanie do PDF.

%prep
%setup -qc
mv %{plugin}/* .

%patch0 -p1
%patch1 -p1

version=$( awk '/^date/{print $2}' info.txt)
if [ "$(echo "$version" | tr -d -)" != %{version} ]; then
	: %%{version} mismatch
	exit 1
fi

rm -f ZipLib.class.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{plugindir}
cp -a conf lang *.php *.png *.xml info.txt $RPM_BUILD_ROOT%{plugindir}
rm -f $RPM_BUILD_ROOT%{plugindir}/{ChangeLog,.gitignore}

%find_lang %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
# force css cache refresh
if [ -f %{dokuconf}/local.php ]; then
	touch %{dokuconf}/local.php
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog.txt README.txt
%defattr(644,root,root,755)
%dir %{plugindir}
%{plugindir}/*.txt
%{plugindir}/*.png
%{plugindir}/*.xml
%{plugindir}/*.php
%dir %{plugindir}/conf
%{plugindir}/conf/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dokuwiki-plugin-odt.spec,v $
Revision 1.11  2010/09/15 14:03:49  glen
- up to 20100812

Revision 1.10  2010/05/16 14:13:45  sparky
- BR: unzip

Revision 1.9  2010/04/21 11:36:11  paszczus
- updated to 20100404
- s/pl-UTF8/pl.UTF-8 in Summary and description

Revision 1.8  2009/08/29 20:17:57  glen
- update to 20090702

Revision 1.7  2009/05/28 09:17:56  paszczus
- updated to 20090115

Revision 1.6  2009/01/28 14:29:12  glen
- refresh dw cache on install

Revision 1.5  2008/09/19 15:02:07  duddits
- fixed missing Source0-md5

Revision 1.4  2008/08/19 09:14:45  jajcus
- Version: 20080507

Revision 1.3  2008-05-08 11:23:25  glen
- unify; rel 1

Revision 1.2  2008-03-14 15:41:41  blekot
- added pl
- rel 1

Revision 1.1  2008-03-03 12:46:00  glen
- new

